
% All programs in this collection are free software: 
% you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Copyright 2007-2008 Alexander Zien.
% Max Planck Intitute for Biological Cybernetics, Tbingen, Germany.
% Friedrich Miescher Lab of the Max Planck Society, Tbingen, Germany.


function [ K ] = mixKernel( Ks, betas );

[ nofKernelsX, nofKernelsY ] = size( betas );
m = size( Ks, 1 );
if( nofKernelsY == 1 )
  ASSERT( size(Ks) == [m,m,nofKernelsX] );
  K = zeros( m, m );
  idxBetas = find( betas ~= 0 );
  for ( k = idxBetas(:)' )
    beta = betas( k );
    ASSERT( beta > 0 );
    K = K + beta * Ks(:,:,k);
  end;
else
  ASSERT( size(Ks) == [m,m,nofKernelsX,nofKernelsY] );
  error( 'not yet implemented' );
end;

